Index: code/branches/pickup2/src/libraries/network/packet/Acknowledgement.cc
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/Acknowledgement.cc	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/Acknowledgement.cc	(revision 6412)
@@ -38,5 +38,5 @@
 #define _PACKETID           0
 #define _ACKID              _PACKETID + sizeof(packet::Type::Value)
-  
+
 Acknowledgement::Acknowledgement( unsigned int id, unsigned int clientID )
  : Packet()
Index: code/branches/pickup2/src/libraries/network/packet/Acknowledgement.h
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/Acknowledgement.h	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/Acknowledgement.h	(revision 6412)
@@ -37,5 +37,5 @@
 namespace packet {
 /**
-	@author
+    @author
 */
 class _NetworkExport Acknowledgement : public Packet
Index: code/branches/pickup2/src/libraries/network/packet/Chat.cc
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/Chat.cc	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/Chat.cc	(revision 6412)
@@ -35,5 +35,5 @@
 namespace orxonox {
 namespace packet {
-  
+
 #define   PACKET_FLAGS_CHAT PacketFlag::Reliable
 #define   _PACKETID         0
Index: code/branches/pickup2/src/libraries/network/packet/Chat.h
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/Chat.h	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/Chat.h	(revision 6412)
@@ -36,5 +36,5 @@
 namespace packet {
 /**
-	@author
+    @author
 */
 class _NetworkExport Chat : public Packet
Index: code/branches/pickup2/src/libraries/network/packet/ClassID.cc
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/ClassID.cc	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/ClassID.cc	(revision 6412)
@@ -48,5 +48,4 @@
 ClassID::ClassID( ) : Packet(){
   Identifier *id;
-  std::string classname;
   unsigned int nrOfClasses=0;
   unsigned int packetSize=2*sizeof(uint32_t); //space for the packetID and for the nrofclasses
@@ -58,8 +57,8 @@
   std::map<std::string, Identifier*>::const_iterator it = Identifier::getStringIdentifierMapBegin();
   for(;it != Identifier::getStringIdentifierMapEnd();++it){
-    id = (*it).second;
+    id = it->second;
     if(id == NULL || !id->hasFactory())
       continue;
-    classname = id->getName();
+    const std::string& classname = id->getName();
     network_id = id->getNetworkID();
     // now push the network id and the classname to the stack
Index: code/branches/pickup2/src/libraries/network/packet/ClassID.h
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/ClassID.h	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/ClassID.h	(revision 6412)
@@ -36,7 +36,7 @@
 namespace packet {
 
-  
+
 /**
-	@author
+    @author
 */
 class _NetworkExport ClassID : public Packet
Index: code/branches/pickup2/src/libraries/network/packet/DeleteObjects.cc
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/DeleteObjects.cc	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/DeleteObjects.cc	(revision 6412)
@@ -41,5 +41,5 @@
 #define _QUANTITY           _PACKETID + sizeof(Type::Value)
 #define _OBJECTIDS          _QUANTITY + sizeof(uint32_t)
-  
+
 DeleteObjects::DeleteObjects()
  : Packet()
@@ -71,7 +71,6 @@
   for(unsigned int i=0; i<number; i++){
     unsigned int temp = Synchronisable::popDeletedObject();
-//     assert(temp<10000); //ugly hack
     *reinterpret_cast<uint32_t*>(tdata) = temp;
-    COUT(4) << temp << " ";
+    COUT(4) << temp << ' ';
     tdata += sizeof(uint32_t);
   }
Index: code/branches/pickup2/src/libraries/network/packet/DeleteObjects.h
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/DeleteObjects.h	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/DeleteObjects.h	(revision 6412)
@@ -35,5 +35,5 @@
 namespace packet {
 /**
-	@author
+    @author
 */
 class _NetworkExport DeleteObjects : public Packet
Index: code/branches/pickup2/src/libraries/network/packet/FunctionCalls.cc
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/FunctionCalls.cc	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/FunctionCalls.cc	(revision 6412)
@@ -36,9 +36,9 @@
 namespace orxonox {
 namespace packet {
-  
+
 #define   PACKET_FLAGS_FUNCTIONCALLS PacketFlag::Reliable
 #define   _PACKETID         0
 const unsigned int FUNCTIONCALLS_MEM_ALLOCATION = 1000;
-    
+
 FunctionCalls::FunctionCalls()
  : Packet()
@@ -171,5 +171,5 @@
 void FunctionCalls::addCallStatic( uint32_t networkID, const MultiType* mt1, const MultiType* mt2, const MultiType* mt3, const MultiType* mt4, const MultiType* mt5){
   assert(!isDataENetAllocated());
-  
+
   // first determine the size that has to be reserved for this call
   uint32_t callsize = 2*sizeof(uint32_t)+sizeof(uint8_t); //size for network-function-id and nrOfArguments and for bool isStatic
@@ -200,5 +200,5 @@
     }
   }
-  
+
   // now allocated mem if neccessary
   if( currentSize_ + callsize > currentMemBlocks_*FUNCTIONCALLS_MEM_ALLOCATION )
@@ -210,5 +210,5 @@
     data_ = temp;
   }
-  
+
   // now serialise the mt values and copy the function id and isStatic
   uint8_t* temp = data_+currentSize_;
@@ -240,10 +240,10 @@
   //currentSize_ += callsize;
   currentSize_ = temp-data_;
-  
+
 }
 
 void FunctionCalls::addCallMember( uint32_t networkID, uint32_t objectID, const MultiType* mt1, const MultiType* mt2, const MultiType* mt3, const MultiType* mt4, const MultiType* mt5){
   assert(!isDataENetAllocated());
-  
+
   // first determine the size that has to be reserved for this call
   uint32_t callsize = 3*sizeof(uint32_t)+sizeof(uint8_t); //size for network-function-id and nrOfArguments and the objectID
@@ -274,5 +274,5 @@
     }
   }
-  
+
   // now allocated mem if neccessary
   if( currentSize_ + callsize > currentMemBlocks_*FUNCTIONCALLS_MEM_ALLOCATION )
@@ -284,5 +284,5 @@
     data_ = temp;
   }
-  
+
   // now serialise the mt values and copy the function id
   uint8_t* temp = data_+currentSize_;
@@ -314,5 +314,5 @@
   }
   currentSize_ += callsize;
-  
+
 }
 
Index: code/branches/pickup2/src/libraries/network/packet/FunctionCalls.h
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/FunctionCalls.h	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/FunctionCalls.h	(revision 6412)
@@ -40,5 +40,5 @@
 namespace packet {
 /**
-	@author
+    @author
 */
 
Index: code/branches/pickup2/src/libraries/network/packet/FunctionIDs.cc
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/FunctionIDs.cc	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/FunctionIDs.cc	(revision 6412)
@@ -47,15 +47,14 @@
 
 FunctionIDs::FunctionIDs( ) : Packet(){
-  std::string functionname;
-  unsigned int nrOfFunctions=0; 
+  unsigned int nrOfFunctions=0;
   unsigned int packetSize=2*sizeof(uint32_t); //space for the packetID and for the nroffunctions
   uint32_t networkID;
   flags_ = flags_ | PACKET_FLAGS_FUNCTIONIDS;
   std::queue<std::pair<uint32_t, std::string> > tempQueue;
-  
+
   //calculate total needed size (for all strings and integers)
   ObjectList<NetworkFunctionBase>::iterator it;
   for(it = ObjectList<NetworkFunctionBase>::begin(); it; ++it){
-    functionname = it->getName();
+    const std::string& functionname = it->getName();
     networkID = it->getNetworkID();
     // now push the network id and the classname to the stack
@@ -64,15 +63,15 @@
     packetSize += (functionname.size()+1)+sizeof(uint32_t)+sizeof(uint32_t); // reserver size for the functionname string, the functionname length and the networkID
   }
-  
+
   this->data_=new uint8_t[ packetSize ];
   //set the appropriate packet id
   assert(this->data_);
   *(Type::Value *)(this->data_ + _PACKETID ) = Type::FunctionIDs;
-  
+
   uint8_t *temp=data_+sizeof(uint32_t);
   // save the number of all classes
   *(uint32_t*)temp = nrOfFunctions;
   temp += sizeof(uint32_t);
-  
+
   // now save all classids and classnames
   std::pair<uint32_t, std::string> tempPair;
@@ -85,7 +84,7 @@
     temp+=2*sizeof(uint32_t)+tempPair.second.size()+1;
   }
-  
+
   COUT(5) << "FunctionIDs packetSize is " << packetSize << endl;
-  
+
 }
 
@@ -106,5 +105,5 @@
   temp += sizeof(uint32_t);
   totalsize += sizeof(uint32_t); // storage size for nr of all classes
-  
+
   for(unsigned int i=0; i<nrOfFunctions; i++){
     totalsize += 2*sizeof(uint32_t) + *(uint32_t*)(temp + sizeof(uint32_t)); // for each network function add size for id, sizeof(string) and length of string itself to totalsize
@@ -121,5 +120,5 @@
   uint32_t stringsize;
   unsigned char *functionname;
-  
+
   COUT(4) << "=== processing functionids: " << endl;
   std::pair<uint32_t, std::string> tempPair;
@@ -127,5 +126,5 @@
   nrOfFunctions = *(uint32_t*)temp;
   temp += sizeof(uint32_t);
-  
+
   for( int i=0; i<nrOfFunctions; i++){
     networkID = *(uint32_t*)temp;
Index: code/branches/pickup2/src/libraries/network/packet/FunctionIDs.h
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/FunctionIDs.h	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/FunctionIDs.h	(revision 6412)
@@ -36,7 +36,7 @@
 namespace packet {
 
-  
+
 /**
-	@author
+    @author
 */
 class _NetworkExport FunctionIDs : public Packet
Index: code/branches/pickup2/src/libraries/network/packet/Gamestate.cc
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/Gamestate.cc	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/Gamestate.cc	(revision 6412)
@@ -95,5 +95,5 @@
     return false;
   }
-  
+
   // create the header object
   assert( header_ == 0 );
@@ -105,5 +105,5 @@
   ObjectList<Synchronisable>::iterator it;
   for(it = ObjectList<Synchronisable>::begin(); it; ++it){
-    
+
 //     tempsize=it->getSize(id, mode);
 
@@ -111,5 +111,5 @@
     if ( tempsize != 0 )
       dataVector_.push_back( obj(it->getObjectID(), it->getCreatorID(), tempsize, mem-data_) );
-    
+
 #ifndef NDEBUG
     if(currentsize+tempsize > size){
@@ -362,15 +362,15 @@
   assert(!header_->isCompressed() && !base->header_->isCompressed());
   assert(!header_->isDiffed());
-  
+
   uint8_t *basep = GAMESTATE_START(base->data_);
   uint8_t *gs = GAMESTATE_START(this->data_);
   uint32_t dest_length = header_->getDataSize();
-  
+
   if(dest_length==0)
     return NULL;
-  
+
   uint8_t *ndata = new uint8_t[dest_length*sizeof(uint8_t)+GamestateHeader::getSize()];
   uint8_t *dest = GAMESTATE_START(ndata);
-  
+
   rawDiff( dest, gs, basep, header_->getDataSize(), base->header_->getDataSize() );
 #ifndef NDEBUG
@@ -398,17 +398,17 @@
   assert(!header_->isCompressed() && !base->header_->isCompressed());
   assert(header_->isDiffed());
-  
+
   uint8_t *basep = GAMESTATE_START(base->data_);
   uint8_t *gs = GAMESTATE_START(this->data_);
   uint32_t dest_length = header_->getDataSize();
-  
+
   if(dest_length==0)
     return NULL;
-  
+
   uint8_t *ndata = new uint8_t[dest_length*sizeof(uint8_t)+GamestateHeader::getSize()];
   uint8_t *dest = ndata + GamestateHeader::getSize();
-  
+
   rawDiff( dest, gs, basep, header_->getDataSize(), base->header_->getDataSize() );
-  
+
   Gamestate *g = new Gamestate(ndata, getClientID());
   assert(g->header_);
@@ -437,6 +437,6 @@
 //   uint8_t *ndata = new uint8_t[dest_length*sizeof(uint8_t)+GamestateHeader::getSize()];
 //   uint8_t *dest = ndata + GamestateHeader::getSize();
-//   
-//   
+//
+//
 //   // LOOP-UNROLLED DIFFING
 //   uint32_t *dest32 = (uint32_t*)dest, *base32 = (uint32_t*)basep, *gs32 = (uint32_t*)gs;
@@ -465,5 +465,5 @@
 //     }
 //   }
-// 
+//
 //   Gamestate *g = new Gamestate(ndata, getClientID());
 //   *(g->header_) = *header_;
@@ -481,5 +481,5 @@
   uint64_t* bd = (uint64_t*)basedata;
   uint64_t* nd = (uint64_t*)newdata;
-  
+
   unsigned int i;
   for( i=0; i<datalength/8; i++ )
@@ -529,10 +529,10 @@
 //   COUT(0) << "myvector contains:";
 //   for ( itt=dataVector_.begin() ; itt!=dataVector_.end(); itt++ )
-//     COUT(0) << " " << (*itt).objID;
+//     COUT(0) << ' ' << (*itt).objID;
 //   COUT(0) << endl;
   for(it=dataVector_.begin(); it!=dataVector_.end();){
     SynchronisableHeader oldobjectheader(origdata);
     SynchronisableHeader newobjectheader(newdata);
-    if ( (*it).objSize == 0 )
+    if ( it->objSize == 0 )
     {
       ++it;
@@ -541,5 +541,5 @@
     objectsize = oldobjectheader.getDataSize();
     objectOffset=SynchronisableHeader::getSize(); //skip the size and the availableData variables in the objectheader
-    if ( (*it).objID == oldobjectheader.getObjectID() ){
+    if ( it->objID == oldobjectheader.getObjectID() ){
       memcpy(newdata, origdata, objectsize);
       assert(newobjectheader.isDataAvailable()==true);
Index: code/branches/pickup2/src/libraries/network/packet/Gamestate.h
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/Gamestate.h	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/Gamestate.h	(revision 6412)
@@ -96,5 +96,5 @@
 
 /**
-	@author Oliver Scheuss
+    @author Oliver Scheuss
 */
 class _NetworkExport Gamestate: public Packet{
Index: code/branches/pickup2/src/libraries/network/packet/Packet.cc
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/Packet.cc	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/Packet.cc	(revision 6412)
@@ -101,6 +101,6 @@
 @brief
     Destroys a packet completely.
-    
-    That also means destroying the ENetPacket if one exists. There 
+
+    That also means destroying the ENetPacket if one exists. There
 */
 Packet::~Packet(){
@@ -230,5 +230,5 @@
 */
 void Packet::deletePacket(ENetPacket *enetPacket){
-  // Get our Packet from a gloabal map with all Packets created in the send() method of Packet.
+  // Get our Packet from a global map with all Packets created in the send() method of Packet.
   std::map<size_t, Packet*>::iterator it = packetMap_.find(reinterpret_cast<size_t>(enetPacket));
   assert(it != packetMap_.end());
Index: code/branches/pickup2/src/libraries/network/packet/Packet.h
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/Packet.h	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/Packet.h	(revision 6412)
@@ -57,5 +57,5 @@
 
 /**
-	@author Oliver Scheuss <scheusso [at] ee.ethz.ch>
+    @author Oliver Scheuss <scheusso [at] ee.ethz.ch>
 */
 class _NetworkExport Packet{
Index: code/branches/pickup2/src/libraries/network/packet/Welcome.h
===================================================================
--- code/branches/pickup2/src/libraries/network/packet/Welcome.h	(revision 5942)
+++ code/branches/pickup2/src/libraries/network/packet/Welcome.h	(revision 6412)
@@ -36,5 +36,5 @@
 
 /**
-	@author
+    @author
 */
 class _NetworkExport Welcome : public Packet
